Delete Template

Use this API to delete a template using the elementName.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You will need details below to start using this API.
NOTE: This action is irreversible. Once a template has been deleted, it cannot be restored.

  1. App ID
  2. Partner App Token
  3. Element Name

Parameters

KeyDescriptionRequiredTypeValueConstraints
AuthorizationAccess Token for the applicationRequiredString{{PARTNER_APP_TOKEN}}Should be a valid Partner App Access Token
appIdApp id of the appRequiredString{{APP_ID}}The Id should be a valid app ID of Gupshup
elementNameelement name for the template to be deletedRequiredString{{ELEMENT_NAME}}

Sample Request

curl --location --request DELETE 'https://partner.gupshup.io/partner/app/{{APP_ID}}/template/{{ELEMENT_NAME}}' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

     {
       "status": "success"
     }

Sample Response

Status CodeResponseComment
Success
200

{

"status": "success"}

Error
400

{

"status":"error","message":"Invalid App ID"
}

The provided appId is not valid.
400

{

"status":"error","message":"Delete Operation is not allowed for sandbox apps"
}

App is not live
400

{

"status":"error",
"message":"Please Check If App Has been approved"
}

App is not approved
400

{

"status":"error",
"message":"Template Does not exists."
}

No template found for the provided element name.
400

{

"status":"error",
"message":"Template Cannot be deleted"
}

Not a master template
400

{

"status":"error",
"message":"Unable to delete the template, please try after sometime and if issue still exists than contact dev support"
}

Error occured while deleting template.
403

{

"status":"error",
"message":"Not App Owner"
}

appId provided is not associated with the provided api key.
500

{

"status": "error",
"message": "Internal server error. Please try again later and If Issue still persist than contact Gupshup Dev Support"
}

For any Internal Error
Path Params
string
required
string
required
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!